Skip to main content
`Ctrl`+`K`

# SNESInitializePackage

This function initializes everything in the `SNES` package. It is called from PetscDLLibraryRegister_petscsnes() when using dynamic libraries, and on the first call to `SNESCreate()` when using shared or static libraries.

## Synopsis

    PetscErrorCode SNESInitializePackage(void)

## Note

This function never needs to be called by PETSc users.

## See Also

SNES: Nonlinear Solvers, `SNES`, `PetscInitialize()`

## Level

developer

## Location

src/snes/interface/dlregissnes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages